xml_ns_strip {xml2} | R Documentation

## Strip the default namespaces from a document

### Description

Strip the default namespaces from a document

### Usage

    xml_ns_strip(x)

### Arguments

`x` | A document, node, or node set.

### Examples

    x <- read_xml(
     "<foo xmlns = 'http://foo.com'>
       <baz/>
       <bar xmlns = 'http://bar.com'>
         <baz/>
       </bar>
      </foo>")
    # Need to specify the default namespaces to find the baz nodes
    xml_find_all(x, "//d1:baz")
    xml_find_all(x, "//d2:baz")

    # After stripping the default namespaces you can find both baz nodes directly
    xml_ns_strip(x)
    xml_find_all(x, "//baz")

[Package xml2 version 1.0.0 Index]